## ros-bouncy-rviz-rendering 4.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_rendering)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# do find_package(rviz_ogre_vendor) first to make sure the custom OGRE is found
find_package(rviz_ogre_vendor REQUIRED)
find_package(rviz_assimp_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets)

find_package(ament_index_cpp REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(resource_retriever REQUIRED)

# TODO(wjwwood): this block is to setup the windeployqt tool, could be removed later.
if(Qt5_FOUND AND WIN32 AND TARGET Qt5::qmake AND NOT TARGET Qt5::windeployqt)
  get_target_property(_qt5_qmake_location Qt5::qmake IMPORTED_LOCATION)

  execute_process(
    COMMAND "${_qt5_qmake_location}" -query QT_INSTALL_PREFIX
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE qt5_install_prefix
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  set(imported_location "${qt5_install_prefix}/bin/windeployqt.exe")

  if(EXISTS ${imported_location})
    add_executable(Qt5::windeployqt IMPORTED)

    set_target_properties(Qt5::windeployqt PROPERTIES
      IMPORTED_LOCATION ${imported_location}
    )
  endif()
endif()

# These need to be added in the add_library() call so AUTOMOC detects them.
set(headers_with_q_object
  include/rviz_rendering/render_window.hpp
)

add_library(rviz_rendering SHARED
  ${headers_with_q_object}
  src/rviz_rendering/apply_visibility_bits.cpp
  src/rviz_rendering/geometry.cpp
  src/rviz_rendering/viewport_projection_finder.cpp
  src/rviz_rendering/logging.cpp
  src/rviz_rendering/material_manager.cpp
  src/rviz_rendering/mesh_loader.cpp
  src/rviz_rendering/ogre_logging.cpp
  src/rviz_rendering/ogre_render_window_impl.cpp
  src/rviz_rendering/orthographic.cpp
  src/rviz_rendering/render_system.cpp
  src/rviz_rendering/render_window.cpp
  src/rviz_rendering/resource_config.cpp
  src/rviz_rendering/mesh_loader_helpers/stl_loader.cpp
  src/rviz_rendering/mesh_loader_helpers/assimp_loader.cpp
  src/rviz_rendering/string_helper.cpp
  src/rviz_rendering/objects/arrow.cpp
  src/rviz_rendering/objects/axes.cpp
  src/rviz_rendering/objects/billboard_line.cpp
  src/rviz_rendering/objects/covariance_visual.cpp
  src/rviz_rendering/objects/grid.cpp
  src/rviz_rendering/objects/line.cpp
  src/rviz_rendering/objects/movable_text.cpp
  src/rviz_rendering/objects/object.cpp
  src/rviz_rendering/objects/point_cloud.cpp
  src/rviz_rendering/objects/point_cloud_renderable.cpp
  src/rviz_rendering/objects/shape.cpp
  test/rviz_rendering/ogre_testing_environment.cpp
  test/rviz_rendering/scene_graph_introspection.cpp
)

target_link_libraries(rviz_rendering
  rviz_ogre_vendor::OgreMain
  rviz_ogre_vendor::OgreOverlay
  Qt5::Widgets
  ament_index_cpp::ament_index_cpp
  resource_retriever::resource_retriever
)

target_include_directories(rviz_rendering
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    ${OGRE_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rviz_rendering PRIVATE "RVIZ_RENDERING_BUILDING_LIBRARY")

ament_export_interfaces(rviz_rendering)
ament_target_dependencies(rviz_rendering
  rviz_assimp_vendor
)
ament_export_dependencies(
  rviz_ogre_vendor
  Eigen3
  resource_retriever
  ament_index_cpp)

ament_export_include_directories(include)

install(
  TARGETS rviz_rendering
  EXPORT rviz_rendering
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  INCLUDES DESTINATION include
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include
)

# add_executable(rendering_example src/examples/rendering_example.cpp)
# target_link_libraries(rendering_example rviz_rendering Qt5::Widgets)
# set_target_properties(rendering_example PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)

# # TODO(wjwwood): find a way to make this optional or to run without "deploying" the
# #                necessary dlls and stuff to the bin folder.
# #                see:
# # https://stackoverflow.com/questions/41193584/deploy-all-qt-dependencies-when-building#41199492
# if(TARGET Qt5::windeployqt)
#   # execute windeployqt in a tmp directory after build
#   add_custom_command(TARGET rendering_example
#     POST_BUILD
#     COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
#     COMMAND set PATH=%PATH%$<SEMICOLON>${qt5_install_prefix}/bin
#     COMMAND
#     Qt5::windeployqt
#     --dir "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
#     "$<TARGET_FILE_DIR:rendering_example>/$<TARGET_FILE_NAME:rendering_example>"
#   )

#   # copy deployment directory during installation
#   install(
#     DIRECTORY
#     "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
#     DESTINATION bin
#   )
# endif()

set(rviz_rendering_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src/cmake")
include(${CMAKE_CURRENT_SOURCE_DIR}/src/cmake/register_rviz_ogre_media_exports_hook-extras.cmake)

install(DIRECTORY src/cmake
  DESTINATION share/${PROJECT_NAME})

# install(TARGETS rendering_example DESTINATION bin)

install(DIRECTORY "${CMAKE_SOURCE_DIR}/ogre_media"
  DESTINATION "share/${PROJECT_NAME}"
  USE_SOURCE_PERMISSIONS)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)

  # TODO(wjwwood): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  ament_add_gmock(string_helper_test test/rviz_rendering/string_helper_test.cpp)
  if(TARGET string_helper_test)
    target_link_libraries(string_helper_test rviz_rendering)
  endif()

  if(DEFINED ENV{DISPLAY})
    set(DISPLAYPRESENT TRUE)
  endif()

  if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "TRUE")
    message(STATUS "Enabling tests requiring a display")

    ament_add_gmock(point_cloud_test_target
      test/rviz_rendering/objects/point_cloud_test.cpp
      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
    if(TARGET point_cloud_test_target)
      target_link_libraries(point_cloud_test_target
        rviz_ogre_vendor::OgreMain
        rviz_rendering
        Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
      )
    endif()

    ament_add_gmock(point_cloud_renderable_test_target
      test/rviz_rendering/objects/point_cloud_renderable_test.cpp
      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
    if(TARGET point_cloud_renderable_test_target)
      target_link_libraries(point_cloud_renderable_test_target
        rviz_ogre_vendor::OgreMain
        rviz_rendering
        Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
      )
    endif()

    ament_add_gmock(billboard_line_test_target
      test/rviz_rendering/objects/billboard_line_test.cpp
      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
    if(TARGET billboard_line_test_target)
      target_link_libraries(billboard_line_test_target
        rviz_ogre_vendor::OgreMain
        rviz_rendering
        Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
      )
    endif()

    ament_add_gmock(covariance_visual_test_target
      test/rviz_rendering/objects/covariance_visual_test.cpp
      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
    if(TARGET covariance_visual_test_target)
      target_link_libraries(covariance_visual_test_target
        rviz_ogre_vendor::OgreMain
        rviz_rendering
        Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
      )
    endif()

    ament_add_gmock(grid_test_target
      test/rviz_rendering/objects/grid_test.cpp
      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
    if(TARGET grid_test_target)
      target_link_libraries(grid_test_target
        rviz_ogre_vendor::OgreMain
        rviz_rendering
        Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
      )
    endif()

    ament_add_gmock(movable_text_test_target
      test/rviz_rendering/objects/movable_text_test.cpp
      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
    if(TARGET movable_text_test_target)
      target_link_libraries(movable_text_test_target
        rviz_ogre_vendor::OgreMain
        rviz_ogre_vendor::OgreOverlay
        rviz_rendering
        Qt5::Widgets
      )
    endif()

    ament_add_gmock(line_test_target
      test/rviz_rendering/objects/line_test.cpp
      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
    if(TARGET line_test_target)
      target_link_libraries(line_test_target
        rviz_ogre_vendor::OgreMain
        rviz_rendering
        Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
      )
    endif()
  endif()
endif()

list(APPEND ${PROJECT_NAME}_CONFIG_EXTRAS
  "${CMAKE_CURRENT_SOURCE_DIR}/src/cmake/register_rviz_ogre_media_exports_hook-extras.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/src/cmake/register_rviz_ogre_media_exports.cmake")

ament_package()

=== debian/changelog ===
ros-bouncy-rviz-rendering (4.0.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-bouncy-rviz-rendering (4.0.1-0bionic) bionic; urgency=high

  * move find_package or test dependencies to test block (#331 <https://github.com/ros2/rviz/issues/331>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-rendering (4.0.0-0bionic) bionic; urgency=high

  * Fixed the dependecy name for ``eigen``. (#324 <https://github.com/ros2/rviz/issues/324>)
  * Fixed bugs causing rviz to crash on macOS. (#319 <https://github.com/ros2/rviz/issues/319>)
    * Fix Ogre assertion failure on Mac on resizing an Image or Camera display render window.
    * Fix segfault on Mac when resizing window after a Camera or Image Display was removed.
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Restored the use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated the Path display. (#236 <https://github.com/ros2/rviz/issues/236>)
  * Migrated the marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Migrated RobotModel display. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Changed to allow Ogre to delete its own render windows. (#195 <https://github.com/ros2/rviz/issues/195>)
  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Fixed a memory leak. (#173 <https://github.com/ros2/rviz/issues/173>)
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Refactored the Grid display. (#165 <https://github.com/ros2/rviz/issues/165>)
  * Remove now obsolete function. (#163 <https://github.com/ros2/rviz/issues/163>)
    * It was made obsolete by pr #136 <https://github.com/ros2/rviz/issues/136> which removed the memcopy.
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-rendering (3.0.0-0bionic) bionic; urgency=high

  * Numerous changes to support Windows.
  * Disabled anti-aliasing on Windows. (#199 <https://github.com/ros2/rviz/issues/199>)
    * This fixes rendering issues on Windows when opening two or more render windows.
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-bouncy-rviz-rendering (2.0.0-0bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Andreas Greimel, Andreas Holzner, Hunter Allen, Johannes Jeising, Martin Idel, Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-bouncy-rviz-rendering (1.12.11-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.10-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-bouncy-rviz-rendering (1.12.9-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-bouncy-rviz-rendering (1.12.8-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.7-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.6-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.5-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.4-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.3-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.1-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.0-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.14-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.13-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.12-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-bouncy-rviz-rendering (1.11.11-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-bouncy-rviz-rendering (1.11.10-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.9-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.8-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.7-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-bouncy-rviz-rendering (1.11.6-0bionic) bionic; urgency=high





=== debian/control ===
Source: ros-bouncy-rviz-rendering
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-bouncy-ament-cmake, ros-bouncy-ament-cmake-cppcheck, ros-bouncy-ament-cmake-cpplint, ros-bouncy-ament-cmake-gmock, ros-bouncy-ament-cmake-gtest, ros-bouncy-ament-cmake-lint-cmake, ros-bouncy-ament-cmake-uncrustify, ros-bouncy-ament-index-cpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-assimp-vendor, ros-bouncy-rviz-ogre-vendor, ros-bouncy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-bouncy-rviz-rendering
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-bouncy-ament-index-cpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-assimp-vendor, ros-bouncy-rviz-ogre-vendor, ros-bouncy-ros-workspace
Description: Library which provides the 3D rendering functionality in rviz.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-rviz-rendering//opt/ros/bouncy/lib/:$(CURDIR)/debian/ros-bouncy-rviz-rendering//opt/ros/bouncy/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-bouncy-rviz-rendering//opt/ros/bouncy/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-bouncy-rviz-rendering//opt/ros/bouncy/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
